aboutsummaryrefslogtreecommitdiffstats
path: root/main/alsa-lib/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2013-09-27 14:04:50 +0000
committerTimo Teräs <timo.teras@iki.fi>2013-09-27 14:22:24 +0000
commit392988ed3d9401f39ab7fed37a8d76de993eda8b (patch)
tree3808e3213159e018bebda1b23f66a08152fbb3e6 /main/alsa-lib/APKBUILD
parent8c1eeed3e8232fde1d7f46153adc5612d1701e35 (diff)
downloadaports-392988ed3d9401f39ab7fed37a8d76de993eda8b.tar.gz
aports-392988ed3d9401f39ab7fed37a8d76de993eda8b.tar.bz2
aports-392988ed3d9401f39ab7fed37a8d76de993eda8b.tar.xz
main/alsa-lib: fix musl build
fix various idiotic constructs. patches are mostly from sabotage, but some I wrote myself too.
Diffstat (limited to 'main/alsa-lib/APKBUILD')
-rw-r--r--main/alsa-lib/APKBUILD45
1 files changed, 39 insertions, 6 deletions
diff --git a/main/alsa-lib/APKBUILD b/main/alsa-lib/APKBUILD
index ab945f67f5..f7f17472a5 100644
--- a/main/alsa-lib/APKBUILD
+++ b/main/alsa-lib/APKBUILD
@@ -1,16 +1,34 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=alsa-lib
pkgver=1.0.27.2
-pkgrel=0
+pkgrel=1
pkgdesc="An alternative implementation of Linux sound support"
url="http://www.alsa-project.org"
arch="all"
license="GPL"
depends=
subpackages="$pkgname-dev"
-source="http://alsa.cybermirror.org/lib/$pkgname-$pkgver.tar.bz2"
+source="http://alsa.cybermirror.org/lib/$pkgname-$pkgver.tar.bz2
+ alsa-lib_pcm_h.patch
+ alsa-lib_mixed_types.patch
+ alsa-lib_kernel_off_t.patch
+ alsa-lib-portable-mutex.patch
+ fix-headers.patch"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+ cd "$_builddir"
+ update_config_sub || return 1
+ rm src/compat/hsearch_r.c && touch src/compat/hsearch_r.c
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
+
build() {
- cd "$srcdir/$pkgname-$pkgver"
+ cd "$_builddir"
./configure \
--build=$CBUILD \
--host=$CHOST \
@@ -33,6 +51,21 @@ package() {
find "$pkgdir" -iname *.la -delete
}
-md5sums="69129a7c37697f81ac092335e9fa452b alsa-lib-1.0.27.2.tar.bz2"
-sha256sums="690ed393e7efd4fc7e3a2d2cda5449298ca0c895197e5914e350882012430d19 alsa-lib-1.0.27.2.tar.bz2"
-sha512sums="3fa9160e001cf21ddc6332c3748f8aa27bd1b514616fd1a9993c34128fe99d07e2dfc5f1a9177e1c17456d1361496f90bf3552f940fd85c6ea5ac9bbc30fe8ce alsa-lib-1.0.27.2.tar.bz2"
+md5sums="69129a7c37697f81ac092335e9fa452b alsa-lib-1.0.27.2.tar.bz2
+4018a2f02d7c93935b6a8fa0bc3f2191 alsa-lib_pcm_h.patch
+d949fb5ff425e70f1896f7231f30469e alsa-lib_mixed_types.patch
+1c730d98856f5753c8a12794e616b543 alsa-lib_kernel_off_t.patch
+53be16ad5e552d62730dd8386f32569d alsa-lib-portable-mutex.patch
+c5cd635119b71c97bad48590fb629cda fix-headers.patch"
+sha256sums="690ed393e7efd4fc7e3a2d2cda5449298ca0c895197e5914e350882012430d19 alsa-lib-1.0.27.2.tar.bz2
+faa8efc9b2e5d110d0daffe473c86efcbc6305a7eafd016b1334581db466dbdf alsa-lib_pcm_h.patch
+ac2b77959404ea81d2f1a539c9c0e9e15b5c2c452285712aa10b6f8da8f9eefa alsa-lib_mixed_types.patch
+ec7a8cb2b82d59b137f40df9e6bc3de1519a150c7c2718f9906b721ef4fd6e63 alsa-lib_kernel_off_t.patch
+fa2ada95443835aead2e3a5a23262242885f4b1297779d94c3545aa137b05858 alsa-lib-portable-mutex.patch
+41bb087abf85f194357c2926d7cd87c973c06649d4ef449907188b555e8d1a72 fix-headers.patch"
+sha512sums="3fa9160e001cf21ddc6332c3748f8aa27bd1b514616fd1a9993c34128fe99d07e2dfc5f1a9177e1c17456d1361496f90bf3552f940fd85c6ea5ac9bbc30fe8ce alsa-lib-1.0.27.2.tar.bz2
+0ea37cda27b440c82f0bc0e34f67d423678d348874c18063036e4347f961bbbce4074ed0aaa518d25d0cedd73818e66e1cbc30c6ff4bf9e6479f64012df0199c alsa-lib_pcm_h.patch
+990d83a761958f350749fda57def15c73890afeae4fa303dc6af36c453a723a2c98d3cf8f44344da539e6c3224d96bfa91861e59126ec2a3d97dc4c0f36fbc61 alsa-lib_mixed_types.patch
+800362bbc8823afdd04480c319c2a9a2d8823712197e8c59af4c4ef80602435aace12a75fcdf5a9824d01e16397568636141980bff08f098f1ad4b794486834e alsa-lib_kernel_off_t.patch
+6bacd0db2be2140150cecc31062726c9ec3a367cf6da114828ae98dace2233b2ac4c7bc74318e125aa7eafbb3085fecc017ac51b7414546b2803230d610bb925 alsa-lib-portable-mutex.patch
+c8fa7c619d8e464fb0fe8f6b11b7dc77af14b42b4709b81613688be1e348e0c81efa64cd3176c1b3d2a77cb40043e091e27a6e06bbc99f177199fc0ddc502c26 fix-headers.patch"